Changes between Version 20 and Version 21 of user-configure


Ignore:
Timestamp:
Jun 16, 2006 1:11:04 PM (16 years ago)
Author:
andreasw
Comment:

corrected option for GNU packages

Legend:

Unmodified
Added
Removed
Modified
  • user-configure

    v20 v21  
    5656 * '''--disable-shared''': If you want '''only static libraries''' to be compiled and no shared objects or DLLs, you should specify this option.
    5757
    58  * '''--with-gnu-packages''': Some of the COIN projects can make use of GNU packages (such as zlib, bzlib, or readline).  Since those are usually provided under the GPL license, which has rather strong conditions, the configuration scripts do not check for the availability of those packages by default.  If you want to '''compile the COIN code so that it uses GNU packages''', you need to provide this option.
     58 * '''--enable-gnu-packages''': Some of the COIN projects can make use of GNU packages (such as zlib, bzlib, or readline).  Since those are usually provided under the GPL license, which has rather strong conditions, the configuration scripts do not check for the availability of those packages by default.  If you want to '''compile the COIN code so that it uses GNU packages''', you need to provide this option.
    5959
    6060 * Further options of the form '''--enable-...''' and '''with-...''' might be understood by the configuration scripts '''for specific COIN projects'''.  For example, if you want to tell the Open Solver Interface (OSI) that you want to compile the Cplex solver interface, you need to specify the {{{--with-cplex-lib}}} and {{{--with-cplex-incdir}}} options with the appropriate values.  (If such a value consists of more than one word, you need to enclose it in quotation marks.) For example: